SystemOrganization addCategory: #FuelPresentations!

TestCase subclass: #FuelESUG2011
	instanceVariableNames: ''
	classVariableNames: ''
	poolDictionaries: ''
	category: 'FuelPresentations'!

!FuelESUG2011 classSide methodsFor: 'debugger example' stamp: 'MarianoMartinezPeck 8/17/2011 12:22'!
debuggerWorkspaceText 
	^ 	
	'
	| a |
	a := ''Hello ESUG. The answer is....''.
	a := a , ''42!!!!''.
	Transcript show: a.
	'! !

!FuelESUG2011 classSide methodsFor: 'debugger example' stamp: 'MarianoMartinezPeck 8/17/2011 12:14'!
materializeAndOpenDebugger
	| aStream newDebugger |
	aStream :=  (FileStream fileNamed: 'testDebugger').
	newDebugger := FLFuelBenchmarkRunner new materializeFrom: aStream.
	newDebugger openFullMorphicLabel: 'This is the new debugger!!'.
! !

!FuelESUG2011 classSide methodsFor: 'private' stamp: 'MarianoMartinezPeck 8/17/2011 12:11'!
newWorkspaceWithContents: aString title: aTitle position: position extent: extent
	|ws|
	ws := Workspace new.
	ws acceptContents: aString.
	(ws embeddedInMorphicWindowLabeled: aTitle)
		position: 50@120;
		extent: 800 @ 500;
		openAsIs.
		ws changed: #contents! !

!FuelESUG2011 classSide methodsFor: 'debugger example' stamp: 'MarianoMartinezPeck 8/17/2011 12:11'!
openDebuggerWorkspace
	"self openDebuggerWorkspace"
	self 
		newWorkspaceWithContents: self debuggerWorkspaceText 
		title: 'Code to debug' 
		position: 80@90 
		extent: 800 @ 500
	 ! !

!FuelESUG2011 classSide methodsFor: 'debugger example' stamp: 'MarianoMartinezPeck 8/17/2011 12:13'!
serializeDebugger
	| aStream newDebugger |
	aStream :=  (FileStream forceNewFileNamed: 'testDebugger').
	Smalltalk garbageCollect.
	FLFuelBenchmarkRunner new serialize: (Debugger allInstances first) on: aStream.! !

!FuelESUG2011 methodsFor: 'Riak example' stamp: 'MarianoMartinezPeck 8/17/2011 12:40'!
testFuelWithRiak
	| bucket storedObject materializedObject aRectangle client |
	client := EpigentRiakClient newForRestConnection: 'http://localhost:8098/riak'.
	aRectangle := Rectangle origin: (4@2) corner: (7@1).
	storedObject := FLSerializer serializeInMemory: aRectangle.
	bucket := client bucketNamed: 'testESUG' .
	bucket atKey: 'test' put: storedObject type: 'application/binary'.
	"Take a browser and go to http://localhost:8098/riak/testESUG/test"
	self halt.
	self assert: (bucket atKey: 'test') = storedObject.
	materializedObject := FLMaterializer materializeFromByteArray: storedObject.
	self assert: materializedObject origin = (4@2).
	self assert: materializedObject corner = (7@1).
! !
